variables:
  GIT_STRATEGY: clone
  JAVA_TOOL_OPTIONS: "-Dfile.encoding=UTF-8"
  POSTGRES_DB: $POSTGRES_DB
  POSTGRES_USER: $POSTGRES_USER
  POSTGRES_PASSWORD: $POSTGRES_PASSWORD
  POSTGRES_HOST_AUTH_METHOD: trust

stages:
 - test

test:
 services:
  - name: victoriametrics/victoria-metrics:latest
    alias: victoriametrics
  - name: postgres:latest
    alias: postgresdb

 stage: test
 image: debian:bookworm
 script:
  - apt update
  - apt -y install git curl postgresql postgresql-client libpq-dev wget apt-transport-https gnupg
  - apt install -y openjdk-17-jdk ant ivy git
  - git submodule init
  - git submodule update
  - export PGPASSWORD=$POSTGRES_PASSWORD
  - psql -h "postgresdb" -U "$POSTGRES_USER" -d "$POSTGRES_DB" -c "SELECT 'OK' AS status;"
  - psql -h "postgresdb" -U "$POSTGRES_USER" -d "$POSTGRES_DB" -f src/main/sql/bandwidth_tables.sql
  - psql -h "postgresdb" -U "$POSTGRES_USER" -d "$POSTGRES_DB" -f src/main/sql/bridgedb_metrics_tables.sql
  - psql -h "postgresdb" -U "$POSTGRES_USER" -d "$POSTGRES_DB" -f src/main/sql/bridge_network_status_tables.sql
  - psql -h "postgresdb" -U "$POSTGRES_USER" -d "$POSTGRES_DB" -f src/main/sql/bridge_pool_assignment_tables.sql
  - psql -h "postgresdb" -U "$POSTGRES_USER" -d "$POSTGRES_DB" -f src/main/sql/bridgestrap_tables.sql
  - psql -h "postgresdb" -U "$POSTGRES_USER" -d "$POSTGRES_DB" -f src/main/sql/network_status_tables.sql
  - psql -h "postgresdb" -U "$POSTGRES_USER" -d "$POSTGRES_DB" -f src/main/sql/exit_lists_tables.sql
  - psql -h "postgresdb" -U "$POSTGRES_USER" -d "$POSTGRES_DB" -f src/main/sql/extra_info_tables.sql
  - psql -h "postgresdb" -U "$POSTGRES_USER" -d "$POSTGRES_DB" -f src/main/sql/server_tables.sql
  - psql -h "postgresdb" -U "$POSTGRES_USER" -d "$POSTGRES_DB" -f src/main/sql/status_tables.sql
  - psql -h "postgresdb" -U "$POSTGRES_USER" -d "$POSTGRES_DB" -f src/main/sql/webstats.sql
  - mkdir lib
  - ant fetch-metrics-lib
  - ant -lib /usr/share/java resolve
  - mkdir geoip
  - touch countries.txt asn.txt
  - bin/updateGeoIP
  - ant test
  - ant checks
 tags:
  - osuosl
